Constants
ConnectionService_ListConnections_FullMethodName
const (
ConnectionService_ListConnections_FullMethodName = "/google.cloud.apigeeconnect.v1.ConnectionService/ListConnections"
)Tether_Egress_FullMethodName
const (
Tether_Egress_FullMethodName = "/google.cloud.apigeeconnect.v1.Tether/Egress"
)Variables
Action_name, Action_value
var (
Action_name = map[int32]string{
0: "ACTION_UNSPECIFIED",
1: "OPEN_NEW_STREAM",
}
Action_value = map[string]int32{
"ACTION_UNSPECIFIED": 0,
"OPEN_NEW_STREAM": 1,
}
)Enum value maps for Action.
TetherEndpoint_name, TetherEndpoint_value
var (
TetherEndpoint_name = map[int32]string{
0: "TETHER_ENDPOINT_UNSPECIFIED",
1: "APIGEE_MART",
2: "APIGEE_RUNTIME",
3: "APIGEE_MINT_RATING",
}
TetherEndpoint_value = map[string]int32{
"TETHER_ENDPOINT_UNSPECIFIED": 0,
"APIGEE_MART": 1,
"APIGEE_RUNTIME": 2,
"APIGEE_MINT_RATING": 3,
}
)Enum value maps for TetherEndpoint.
Scheme_name, Scheme_value
var (
Scheme_name = map[int32]string{
0: "SCHEME_UNSPECIFIED",
1: "HTTPS",
}
Scheme_value = map[string]int32{
"SCHEME_UNSPECIFIED": 0,
"HTTPS": 1,
}
)Enum value maps for Scheme.
ConnectionService_ServiceDesc
var ConnectionService_ServiceDesc = grpc.ServiceDesc{
ServiceName: "google.cloud.apigeeconnect.v1.ConnectionService",
HandlerType: (*ConnectionServiceServer)(nil),
Methods: []grpc.MethodDesc{
{
MethodName: "ListConnections",
Handler: _ConnectionService_ListConnections_Handler,
},
},
Streams: []grpc.StreamDesc{},
Metadata: "google/cloud/apigeeconnect/v1/connection.proto",
}ConnectionService_ServiceDesc is the grpc.ServiceDesc for ConnectionService service. It's only intended for direct use with grpc.RegisterService, and not to be introspected or modified (even as a copy)
File_google_cloud_apigeeconnect_v1_connection_proto
var File_google_cloud_apigeeconnect_v1_connection_proto protoreflect.FileDescriptorFile_google_cloud_apigeeconnect_v1_tether_proto
var File_google_cloud_apigeeconnect_v1_tether_proto protoreflect.FileDescriptorTether_ServiceDesc
var Tether_ServiceDesc = grpc.ServiceDesc{
ServiceName: "google.cloud.apigeeconnect.v1.Tether",
HandlerType: (*TetherServer)(nil),
Methods: []grpc.MethodDesc{},
Streams: []grpc.StreamDesc{
{
StreamName: "Egress",
Handler: _Tether_Egress_Handler,
ServerStreams: true,
ClientStreams: true,
},
},
Metadata: "google/cloud/apigeeconnect/v1/tether.proto",
}Tether_ServiceDesc is the grpc.ServiceDesc for Tether service. It's only intended for direct use with grpc.RegisterService, and not to be introspected or modified (even as a copy)
Functions
func RegisterConnectionServiceServer
func RegisterConnectionServiceServer(s grpc.ServiceRegistrar, srv ConnectionServiceServer)func RegisterTetherServer
func RegisterTetherServer(s grpc.ServiceRegistrar, srv TetherServer)Action
type Action int32The action taken by agent.
Action_ACTION_UNSPECIFIED, Action_OPEN_NEW_STREAM
const (
// Unspecified Action.
Action_ACTION_UNSPECIFIED Action = 0
// Indicates that agent should open a new stream.
Action_OPEN_NEW_STREAM Action = 1
)func (Action) Descriptor
func (Action) Descriptor() protoreflect.EnumDescriptorfunc (Action) Enum
func (Action) EnumDescriptor
Deprecated: Use Action.Descriptor instead.
func (Action) Number
func (x Action) Number() protoreflect.EnumNumberfunc (Action) String
func (Action) Type
func (Action) Type() protoreflect.EnumTypeCluster
type Cluster struct {
// The name of the cluster.
Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
// The region of the cluster.
Region string `protobuf:"bytes,2,opt,name=region,proto3" json:"region,omitempty"`
// contains filtered or unexported fields
}func (*Cluster) Descriptor
Deprecated: Use Cluster.ProtoReflect.Descriptor instead.
func (*Cluster) GetName
func (*Cluster) GetRegion
func (*Cluster) ProtoMessage
func (*Cluster) ProtoMessage()func (*Cluster) ProtoReflect
func (x *Cluster) ProtoReflect() protoreflect.Messagefunc (*Cluster) Reset
func (x *Cluster) Reset()func (*Cluster) String
Connection
type Connection struct {
// The endpoint that the connection is made against.
// Format: `projects/{project_number}/endpoints/{endpoint}`
Endpoint string `protobuf:"bytes,1,opt,name=endpoint,proto3" json:"endpoint,omitempty"`
// Cluster information.
Cluster *Cluster `protobuf:"bytes,2,opt,name=cluster,proto3" json:"cluster,omitempty"`
// The count of streams.
StreamCount int32 `protobuf:"varint,3,opt,name=stream_count,json=streamCount,proto3" json:"stream_count,omitempty"`
// contains filtered or unexported fields
}func (*Connection) Descriptor
func (*Connection) Descriptor() ([]byte, []int)Deprecated: Use Connection.ProtoReflect.Descriptor instead.
func (*Connection) GetCluster
func (x *Connection) GetCluster() *Clusterfunc (*Connection) GetEndpoint
func (x *Connection) GetEndpoint() stringfunc (*Connection) GetStreamCount
func (x *Connection) GetStreamCount() int32func (*Connection) ProtoMessage
func (*Connection) ProtoMessage()func (*Connection) ProtoReflect
func (x *Connection) ProtoReflect() protoreflect.Messagefunc (*Connection) Reset
func (x *Connection) Reset()func (*Connection) String
func (x *Connection) String() stringConnectionServiceClient
type ConnectionServiceClient interface {
// Lists connections that are currently active for the given Apigee Connect
// endpoint.
ListConnections(ctx context.Context, in *ListConnectionsRequest, opts ...grpc.CallOption) (*ListConnectionsResponse, error)
}ConnectionServiceClient is the client API for ConnectionService service.
For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
func NewConnectionServiceClient
func NewConnectionServiceClient(cc grpc.ClientConnInterface) ConnectionServiceClientConnectionServiceServer
type ConnectionServiceServer interface {
// Lists connections that are currently active for the given Apigee Connect
// endpoint.
ListConnections(context.Context, *ListConnectionsRequest) (*ListConnectionsResponse, error)
}ConnectionServiceServer is the server API for ConnectionService service. All implementations should embed UnimplementedConnectionServiceServer for forward compatibility
EgressRequest
type EgressRequest struct {
// Unique identifier for the request.
Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
// Actual payload to send to agent.
Payload *Payload `protobuf:"bytes,2,opt,name=payload,proto3" json:"payload,omitempty"`
// Tether Endpoint.
Endpoint TetherEndpoint `protobuf:"varint,3,opt,name=endpoint,proto3,enum=google.cloud.apigeeconnect.v1.TetherEndpoint" json:"endpoint,omitempty"`
// GCP Project.
// Format: `projects/{project_number}`.
Project string `protobuf:"bytes,4,opt,name=project,proto3" json:"project,omitempty"`
// Unique identifier for clients to trace their request/response.
TraceId string `protobuf:"bytes,5,opt,name=trace_id,json=traceId,proto3" json:"trace_id,omitempty"`
// Timeout for the HTTP request.
Timeout *durationpb.Duration `protobuf:"bytes,6,opt,name=timeout,proto3" json:"timeout,omitempty"`
// contains filtered or unexported fields
}gRPC request payload for tether.
func (*EgressRequest) Descriptor
func (*EgressRequest) Descriptor() ([]byte, []int)Deprecated: Use EgressRequest.ProtoReflect.Descriptor instead.
func (*EgressRequest) GetEndpoint
func (x *EgressRequest) GetEndpoint() TetherEndpointfunc (*EgressRequest) GetId
func (x *EgressRequest) GetId() stringfunc (*EgressRequest) GetPayload
func (x *EgressRequest) GetPayload() *Payloadfunc (*EgressRequest) GetProject
func (x *EgressRequest) GetProject() stringfunc (*EgressRequest) GetTimeout
func (x *EgressRequest) GetTimeout() *durationpb.Durationfunc (*EgressRequest) GetTraceId
func (x *EgressRequest) GetTraceId() stringfunc (*EgressRequest) ProtoMessage
func (*EgressRequest) ProtoMessage()func (*EgressRequest) ProtoReflect
func (x *EgressRequest) ProtoReflect() protoreflect.Messagefunc (*EgressRequest) Reset
func (x *EgressRequest) Reset()func (*EgressRequest) String
func (x *EgressRequest) String() stringEgressResponse
type EgressResponse struct {
// Unique identifier for the response. Matches the EgressRequest's id.
Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
// HttpResponse.
HttpResponse *HttpResponse `protobuf:"bytes,2,opt,name=http_response,json=httpResponse,proto3" json:"http_response,omitempty"`
// Errors from application when handling the http request.
Status *status.Status `protobuf:"bytes,3,opt,name=status,proto3" json:"status,omitempty"`
// GCP Project.
// Format: `projects/{project_number}`.
Project string `protobuf:"bytes,4,opt,name=project,proto3" json:"project,omitempty"`
// Unique identifier for clients to trace their request/response. Matches the
// EgressRequest's trace id
TraceId string `protobuf:"bytes,5,opt,name=trace_id,json=traceId,proto3" json:"trace_id,omitempty"`
// Tether Endpoint.
Endpoint TetherEndpoint `protobuf:"varint,6,opt,name=endpoint,proto3,enum=google.cloud.apigeeconnect.v1.TetherEndpoint" json:"endpoint,omitempty"`
// Name is the full resource path of endpoint.
// Format: `projects/{project_number or project_id}/endpoints/{endpoint}`
Name string `protobuf:"bytes,7,opt,name=name,proto3" json:"name,omitempty"`
// contains filtered or unexported fields
}gRPC response payload for tether.
func (*EgressResponse) Descriptor
func (*EgressResponse) Descriptor() ([]byte, []int)Deprecated: Use EgressResponse.ProtoReflect.Descriptor instead.
func (*EgressResponse) GetEndpoint
func (x *EgressResponse) GetEndpoint() TetherEndpointfunc (*EgressResponse) GetHttpResponse
func (x *EgressResponse) GetHttpResponse() *HttpResponsefunc (*EgressResponse) GetId
func (x *EgressResponse) GetId() stringfunc (*EgressResponse) GetName
func (x *EgressResponse) GetName() stringfunc (*EgressResponse) GetProject
func (x *EgressResponse) GetProject() stringfunc (*EgressResponse) GetStatus
func (x *EgressResponse) GetStatus() *status.Statusfunc (*EgressResponse) GetTraceId
func (x *EgressResponse) GetTraceId() stringfunc (*EgressResponse) ProtoMessage
func (*EgressResponse) ProtoMessage()func (*EgressResponse) ProtoReflect
func (x *EgressResponse) ProtoReflect() protoreflect.Messagefunc (*EgressResponse) Reset
func (x *EgressResponse) Reset()func (*EgressResponse) String
func (x *EgressResponse) String() stringHeader
type Header struct {
Key string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
Values []string `protobuf:"bytes,2,rep,name=values,proto3" json:"values,omitempty"`
// contains filtered or unexported fields
}The http headers.
func (*Header) Descriptor
Deprecated: Use Header.ProtoReflect.Descriptor instead.
func (*Header) GetKey
func (*Header) GetValues
func (*Header) ProtoMessage
func (*Header) ProtoMessage()func (*Header) ProtoReflect
func (x *Header) ProtoReflect() protoreflect.Messagefunc (*Header) Reset
func (x *Header) Reset()func (*Header) String
HttpRequest
type HttpRequest struct {
// A unique identifier for the request.
Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
// The HTTP request method.
// Valid methods: "GET", "HEAD", "POST", "PUT", "PATCH","DELETE".
Method string `protobuf:"bytes,2,opt,name=method,proto3" json:"method,omitempty"`
// The HTTP request URL.
Url *Url `protobuf:"bytes,3,opt,name=url,proto3" json:"url,omitempty"`
// The HTTP request headers.
Headers []*Header `protobuf:"bytes,4,rep,name=headers,proto3" json:"headers,omitempty"`
// HTTP request body.
Body []byte `protobuf:"bytes,5,opt,name=body,proto3" json:"body,omitempty"`
// contains filtered or unexported fields
}The proto definition of http request.
func (*HttpRequest) Descriptor
func (*HttpRequest) Descriptor() ([]byte, []int)Deprecated: Use HttpRequest.ProtoReflect.Descriptor instead.
func (*HttpRequest) GetBody
func (x *HttpRequest) GetBody() []bytefunc (*HttpRequest) GetHeaders
func (x *HttpRequest) GetHeaders() []*Headerfunc (*HttpRequest) GetId
func (x *HttpRequest) GetId() stringfunc (*HttpRequest) GetMethod
func (x *HttpRequest) GetMethod() stringfunc (*HttpRequest) GetUrl
func (x *HttpRequest) GetUrl() *Urlfunc (*HttpRequest) ProtoMessage
func (*HttpRequest) ProtoMessage()func (*HttpRequest) ProtoReflect
func (x *HttpRequest) ProtoReflect() protoreflect.Messagefunc (*HttpRequest) Reset
func (x *HttpRequest) Reset()func (*HttpRequest) String
func (x *HttpRequest) String() stringHttpResponse
type HttpResponse struct {
// A unique identifier that matches the request ID.
Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
// Status of http response, e.g. "200 OK".
Status string `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
// Status code of http response, e.g. 200.
StatusCode int32 `protobuf:"varint,3,opt,name=status_code,json=statusCode,proto3" json:"status_code,omitempty"`
// The HTTP 1.1 response body.
Body []byte `protobuf:"bytes,4,opt,name=body,proto3" json:"body,omitempty"`
// The HTTP response headers.
Headers []*Header `protobuf:"bytes,5,rep,name=headers,proto3" json:"headers,omitempty"`
// Content length records the length of the associated content. The
// value -1 indicates that the length is unknown. Unless http method
// is "HEAD", values >= 0 indicate that the given number of bytes may
// be read from Body.
ContentLength int64 `protobuf:"varint,6,opt,name=content_length,json=contentLength,proto3" json:"content_length,omitempty"`
// contains filtered or unexported fields
}The proto definition of http response.
func (*HttpResponse) Descriptor
func (*HttpResponse) Descriptor() ([]byte, []int)Deprecated: Use HttpResponse.ProtoReflect.Descriptor instead.
func (*HttpResponse) GetBody
func (x *HttpResponse) GetBody() []bytefunc (*HttpResponse) GetContentLength
func (x *HttpResponse) GetContentLength() int64func (*HttpResponse) GetHeaders
func (x *HttpResponse) GetHeaders() []*Headerfunc (*HttpResponse) GetId
func (x *HttpResponse) GetId() stringfunc (*HttpResponse) GetStatus
func (x *HttpResponse) GetStatus() stringfunc (*HttpResponse) GetStatusCode
func (x *HttpResponse) GetStatusCode() int32func (*HttpResponse) ProtoMessage
func (*HttpResponse) ProtoMessage()func (*HttpResponse) ProtoReflect
func (x *HttpResponse) ProtoReflect() protoreflect.Messagefunc (*HttpResponse) Reset
func (x *HttpResponse) Reset()func (*HttpResponse) String
func (x *HttpResponse) String() stringListConnectionsRequest
type ListConnectionsRequest struct {
// Required. Parent name of the form:
//
// `projects/{project_number or project_id}/endpoints/{endpoint}`.
Parent string `protobuf:"bytes,1,opt,name=parent,proto3" json:"parent,omitempty"`
// The maximum number of connections to return. The service may return fewer
// than this value. If unspecified, at most 100 connections will be returned.
// The maximum value is 1000; values above 1000 will be coerced to 1000.
PageSize int32 `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
// A page token, received from a previous `ListConnections` call.
// Provide this to retrieve the subsequent page.
//
// When paginating, all other parameters provided to `ListConnections` must
// match the call that provided the page token.
PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
// contains filtered or unexported fields
}The request for [ListConnections][Management.ListConnections].
func (*ListConnectionsRequest) Descriptor
func (*ListConnectionsRequest) Descriptor() ([]byte, []int)Deprecated: Use ListConnectionsRequest.ProtoReflect.Descriptor instead.
func (*ListConnectionsRequest) GetPageSize
func (x *ListConnectionsRequest) GetPageSize() int32func (*ListConnectionsRequest) GetPageToken
func (x *ListConnectionsRequest) GetPageToken() stringfunc (*ListConnectionsRequest) GetParent
func (x *ListConnectionsRequest) GetParent() stringfunc (*ListConnectionsRequest) ProtoMessage
func (*ListConnectionsRequest) ProtoMessage()func (*ListConnectionsRequest) ProtoReflect
func (x *ListConnectionsRequest) ProtoReflect() protoreflect.Messagefunc (*ListConnectionsRequest) Reset
func (x *ListConnectionsRequest) Reset()func (*ListConnectionsRequest) String
func (x *ListConnectionsRequest) String() stringListConnectionsResponse
type ListConnectionsResponse struct {
// A list of clients.
Connections []*Connection `protobuf:"bytes,1,rep,name=connections,proto3" json:"connections,omitempty"`
// A token that can be sent as `page_token` to retrieve the next page.
// If this field is omitted, there are no subsequent pages.
NextPageToken string `protobuf:"bytes,2,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
// contains filtered or unexported fields
}The response for [ListConnections][Management.ListConnections].
func (*ListConnectionsResponse) Descriptor
func (*ListConnectionsResponse) Descriptor() ([]byte, []int)Deprecated: Use ListConnectionsResponse.ProtoReflect.Descriptor instead.
func (*ListConnectionsResponse) GetConnections
func (x *ListConnectionsResponse) GetConnections() []*Connectionfunc (*ListConnectionsResponse) GetNextPageToken
func (x *ListConnectionsResponse) GetNextPageToken() stringfunc (*ListConnectionsResponse) ProtoMessage
func (*ListConnectionsResponse) ProtoMessage()func (*ListConnectionsResponse) ProtoReflect
func (x *ListConnectionsResponse) ProtoReflect() protoreflect.Messagefunc (*ListConnectionsResponse) Reset
func (x *ListConnectionsResponse) Reset()func (*ListConnectionsResponse) String
func (x *ListConnectionsResponse) String() stringPayload
type Payload struct {
// The kind of payload.
//
// Types that are assignable to Kind:
//
// *Payload_HttpRequest
// *Payload_StreamInfo
// *Payload_Action
Kind isPayload_Kind `protobuf_oneof:"kind"`
// contains filtered or unexported fields
}Payload for EgressRequest.
func (*Payload) Descriptor
Deprecated: Use Payload.ProtoReflect.Descriptor instead.
func (*Payload) GetAction
func (*Payload) GetHttpRequest
func (x *Payload) GetHttpRequest() *HttpRequestfunc (*Payload) GetKind
func (m *Payload) GetKind() isPayload_Kindfunc (*Payload) GetStreamInfo
func (x *Payload) GetStreamInfo() *StreamInfofunc (*Payload) ProtoMessage
func (*Payload) ProtoMessage()func (*Payload) ProtoReflect
func (x *Payload) ProtoReflect() protoreflect.Messagefunc (*Payload) Reset
func (x *Payload) Reset()func (*Payload) String
Payload_Action
type Payload_Action struct {
// The action taken by agent.
Action Action `protobuf:"varint,3,opt,name=action,proto3,enum=google.cloud.apigeeconnect.v1.Action,oneof"`
}Payload_HttpRequest
type Payload_HttpRequest struct {
// The HttpRequest proto.
HttpRequest *HttpRequest `protobuf:"bytes,1,opt,name=http_request,json=httpRequest,proto3,oneof"`
}Payload_StreamInfo
type Payload_StreamInfo struct {
// The information of stream.
StreamInfo *StreamInfo `protobuf:"bytes,2,opt,name=stream_info,json=streamInfo,proto3,oneof"`
}Scheme
type Scheme int32HTTP Scheme.
Scheme_SCHEME_UNSPECIFIED, Scheme_HTTPS
const (
// Unspecified scheme.
Scheme_SCHEME_UNSPECIFIED Scheme = 0
// HTTPS protocol.
Scheme_HTTPS Scheme = 1
)func (Scheme) Descriptor
func (Scheme) Descriptor() protoreflect.EnumDescriptorfunc (Scheme) Enum
func (Scheme) EnumDescriptor
Deprecated: Use Scheme.Descriptor instead.
func (Scheme) Number
func (x Scheme) Number() protoreflect.EnumNumberfunc (Scheme) String
func (Scheme) Type
func (Scheme) Type() protoreflect.EnumTypeStreamInfo
type StreamInfo struct {
// Unique identifier for the stream.
Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
// contains filtered or unexported fields
}The Information of bi-directional stream.
func (*StreamInfo) Descriptor
func (*StreamInfo) Descriptor() ([]byte, []int)Deprecated: Use StreamInfo.ProtoReflect.Descriptor instead.
func (*StreamInfo) GetId
func (x *StreamInfo) GetId() stringfunc (*StreamInfo) ProtoMessage
func (*StreamInfo) ProtoMessage()func (*StreamInfo) ProtoReflect
func (x *StreamInfo) ProtoReflect() protoreflect.Messagefunc (*StreamInfo) Reset
func (x *StreamInfo) Reset()func (*StreamInfo) String
func (x *StreamInfo) String() stringTetherClient
type TetherClient interface {
// Egress streams egress requests and responses. Logically, this is not
// actually a streaming request, but uses streaming as a mechanism to flip
// the client-server relationship of gRPC so that the server can act as a
// client.
// The listener, the RPC server, accepts connections from the dialer,
// the RPC client.
// The listener streams http requests and the dialer streams http responses.
Egress(ctx context.Context, opts ...grpc.CallOption) (Tether_EgressClient, error)
}TetherClient is the client API for Tether service.
For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
func NewTetherClient
func NewTetherClient(cc grpc.ClientConnInterface) TetherClientTetherEndpoint
type TetherEndpoint int32Endpoint indicates where the messages will be delivered.
TetherEndpoint_TETHER_ENDPOINT_UNSPECIFIED, TetherEndpoint_APIGEE_MART, TetherEndpoint_APIGEE_RUNTIME, TetherEndpoint_APIGEE_MINT_RATING
const (
// Unspecified tether endpoint.
TetherEndpoint_TETHER_ENDPOINT_UNSPECIFIED TetherEndpoint = 0
// Apigee MART endpoint.
TetherEndpoint_APIGEE_MART TetherEndpoint = 1
// Apigee Runtime endpoint.
TetherEndpoint_APIGEE_RUNTIME TetherEndpoint = 2
// Apigee Mint Rating endpoint.
TetherEndpoint_APIGEE_MINT_RATING TetherEndpoint = 3
)func (TetherEndpoint) Descriptor
func (TetherEndpoint) Descriptor() protoreflect.EnumDescriptorfunc (TetherEndpoint) Enum
func (x TetherEndpoint) Enum() *TetherEndpointfunc (TetherEndpoint) EnumDescriptor
func (TetherEndpoint) EnumDescriptor() ([]byte, []int)Deprecated: Use TetherEndpoint.Descriptor instead.
func (TetherEndpoint) Number
func (x TetherEndpoint) Number() protoreflect.EnumNumberfunc (TetherEndpoint) String
func (x TetherEndpoint) String() stringfunc (TetherEndpoint) Type
func (TetherEndpoint) Type() protoreflect.EnumTypeTetherServer
type TetherServer interface {
// Egress streams egress requests and responses. Logically, this is not
// actually a streaming request, but uses streaming as a mechanism to flip
// the client-server relationship of gRPC so that the server can act as a
// client.
// The listener, the RPC server, accepts connections from the dialer,
// the RPC client.
// The listener streams http requests and the dialer streams http responses.
Egress(Tether_EgressServer) error
}TetherServer is the server API for Tether service. All implementations should embed UnimplementedTetherServer for forward compatibility
Tether_EgressClient
type Tether_EgressClient interface {
Send(*EgressResponse) error
Recv() (*EgressRequest, error)
grpc.ClientStream
}Tether_EgressServer
type Tether_EgressServer interface {
Send(*EgressRequest) error
Recv() (*EgressResponse, error)
grpc.ServerStream
}UnimplementedConnectionServiceServer
type UnimplementedConnectionServiceServer struct {
}UnimplementedConnectionServiceServer should be embedded to have forward compatible implementations.
func (UnimplementedConnectionServiceServer) ListConnections
func (UnimplementedConnectionServiceServer) ListConnections(context.Context, *ListConnectionsRequest) (*ListConnectionsResponse, error)UnimplementedTetherServer
type UnimplementedTetherServer struct {
}UnimplementedTetherServer should be embedded to have forward compatible implementations.
func (UnimplementedTetherServer) Egress
func (UnimplementedTetherServer) Egress(Tether_EgressServer) errorUnsafeConnectionServiceServer
type UnsafeConnectionServiceServer interface {
// contains filtered or unexported methods
}UnsafeConnectionServiceServer may be embedded to opt out of forward compatibility for this service. Use of this interface is not recommended, as added methods to ConnectionServiceServer will result in compilation errors.
UnsafeTetherServer
type UnsafeTetherServer interface {
// contains filtered or unexported methods
}UnsafeTetherServer may be embedded to opt out of forward compatibility for this service. Use of this interface is not recommended, as added methods to TetherServer will result in compilation errors.
Url
type Url struct {
// Scheme.
Scheme Scheme `protobuf:"varint,1,opt,name=scheme,proto3,enum=google.cloud.apigeeconnect.v1.Scheme" json:"scheme,omitempty"`
// Host or Host:Port.
Host string `protobuf:"bytes,2,opt,name=host,proto3" json:"host,omitempty"`
// Path starts with `/`.
Path string `protobuf:"bytes,3,opt,name=path,proto3" json:"path,omitempty"`
// contains filtered or unexported fields
}The proto definition of url. A url represents a URL and the general form represented is:
`[scheme://][google.cloud.apigeeconnect.v1.Url.host][path]`
func (*Url) Descriptor
Deprecated: Use Url.ProtoReflect.Descriptor instead.
func (*Url) GetHost
func (*Url) GetPath
func (*Url) GetScheme
func (*Url) ProtoMessage
func (*Url) ProtoMessage()func (*Url) ProtoReflect
func (x *Url) ProtoReflect() protoreflect.Messagefunc (*Url) Reset
func (x *Url) Reset()